iladiag.f(3)

NAME
iladiag.f -

SYNOPSIS

  Functions/Subroutines
INTEGER function iladiag (DIAG)
ILADIAG

Function/Subroutine Documentation

  INTEGER function iladiag (characterDIAG)

ILADIAG

Purpose:

     This subroutine translated from a character string specifying if a
     matrix has unit diagonal or not to the relevant BLAST-specified
     integer constant.
     ILADIAG returns an INTEGER.  If ILADIAG < 0, then the input is not a
     character indicating a unit or non-unit diagonal.  Otherwise ILADIAG
     returns the constant value corresponding to DIAG.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Definition at line 59 of file iladiag.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.